Subject: bug#53792: add timeout option to url-retrieve

From: emacsq <[email-masked]>
Date: Sat, 05 Feb 2022 07:02:12 +0000

>
> See url-queue-retrieve and url-queue-timeout.
>

Thanks, I guess it solves the timeout issue, but
this is the first time I discovered that the url
package has its own manual.

Shouldn't the Elisp manual mention this library as
a high level networking library for fetching urls?

I checked the networking section and it starts with
TCP and UDP connections. It would be useful to have
some mention there of the existence of higher level
functions to fetch urls and a link to the URL
library.

I tried the index too with the word 'url' and there
is no match, so someone reading the manual has
no chance of discovering the url package
from the  elisp manual networking section.

I checked this on emacs 27.1